petsc-3.7.1 2016-05-15
Report Typos and Errors

# PFApplyVec

Applies the mathematical function to a vector

### Synopsis

    #include "petscpf.h"
    PetscErrorCode  PFApplyVec(PF pf,Vec x,Vec y)

Collective on PF Many br

### Input Parameters

| pf | - the function context Many br
| x | - input vector (or NULL for the vector (0,1, .... N-1) Many br

### Output Parameter

y -output vector Many br

Many br

### Keywords

PF, apply

### See Also

PFApply(), PFCreate(), PFDestroy(), PFSetType(), PFSet()

Level:beginner
Location:src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex4.c.html
src/snes/examples/tutorials/ex22.c.html